Part Sphere/ru: Difference between revisions

From FreeCAD Documentation
(Updating to match new version of source page)
(Updating to match new version of source page)
 
(35 intermediate revisions by 4 users not shown)
Line 1: Line 1:
<languages/>
<languages/>
{{Docnav|[[Part_Cylinder|Cylinder]]|[[Part_Torus|Torus]]|[[Part_Module|Part]]|IconL=Part_Cylinder.png|IconC=Workbench_Part.svg|IconR=Part_Torus.png}}


{{Docnav/ru
<div class="mw-translate-fuzzy">
|[[Part_Cylinder/ru|Цилиндр]]
|[[Part_Cone/ru|Конус]]
|[[Part_Workbench/ru|Верстак Part]]
|IconL=Part_Cylinder.svg
|IconR=Part_Cone.svg
|IconC=Workbench_Part.svg
}}

{{GuiCommand/ru
{{GuiCommand/ru
|Name=Part Sphere
|Name=Part_Sphere
|Name/ru=Сфера
|Name/ru=Сфера
|MenuLocation=Деталь → Primitives → Сфера
|MenuLocation=Деталь → Примитивы → Сфера
|Workbenches=[[Part_Module/ru|Part Module]],Complete
|Workbenches=[[Part_Workbench/ru|Part(Деталь)]]
|SeeAlso=[[Part_CreatePrimitives/ru|Создать примитивы]]
|SeeAlso=[[Part_Primitives/ru|Создать примитивы]]
}}
}}

<div class="mw-translate-fuzzy">
==Описание==
</div>
</div>


<div class="mw-translate-fuzzy">
== Description ==
Creates a simple parametric sphere, with position, angle1, angle2, angle3 and radius parameters.
Создаёт простую параметрическую сферу с параметрами положение (position), угол1(angle1), угол2(angle2), угол3(angle3) и радиус(radius).
</div>


A Part Sphere can be truncated at the top and/or bottom by changing its {{PropertyData|Angle1}} and/or {{PropertyData|Angle2}} properties. It can be turned into a segment of a sphere by changing its {{PropertyData|Angle3}} property.
[[File:SimpleSphere.jpg|400px]]


[[Image:Part_Sphere_Example.png|400px]]
== How to use ==
In the workbench [[Part_Workbench|Part]] click on the sphere icon [[Image:Part Sphere.png|32px]]. The sphere will be positioned at origin (point 0,0,0) on creation. The angle parameters permit to make a portion of sphere instead of a full sphere (they are set to 360° by default).


==Применение==
== Options ==


<div class="mw-translate-fuzzy">
The parametric sphere is defined by the following parameters:
# Переключитесь на [[Image:Workbench_Part.svg|16px]] [[Part_Workbench|верстак Part]]
# Существует несколько способов вызова команды:
#* Нажмите на иконку сферы {{Button|[[Image:Part_Sphere.svg|16px]]Сфера}} на панели инструментов.
#* Выберите из меню {{MenuCommand|Деталь → Примитивы → [[Image:Part_Sphere.svg|16px]] Сфера}}.
</div>


== Example ==
* Radius
* Angle 1
* Angle 2
* Angle 3
* as well as the standard set of placement parameters


[[Image:Part_Sphere_Scripting_Example.png|thumb|Part Sphere from the scripting example]]
The picture below gives an overview of a parametric sphere with parameters different from the default value.


A Part Sphere object created with the [[#Scripting|scripting example]] below is shown here.
[[File:PartDesign_Sphere_Parameter_en.jpg|600px]]


====Parameter====
== Notes ==
* {{Parameter|Radius:}} Radius of the sphere
* {{Parameter|Angle 1:}} 1nd angle to cut / define the sphere
* {{Parameter|Angle 2:}} 2nd angle to cut / define the sphere
* {{Parameter|Angle 3:}} 3rd angle to cut / define the sphere


* A Part Sphere can also be created with the [[Image:Part_Primitives.svg|16px]] [[Part_Primitives|Part Primitives]] command. With that command you can specify the dimensions and placement at creation time.
Because it is quite difficult to explain the meaning of the parameters angle 1, angle 2, angle 3, the picture below gives an explanation about these parameters with following values: angle 1 = -45°, angle 2 = 45° and angle 3= 90°.


<div class="mw-translate-fuzzy">
[[File:SphereCutThreeAngles.jpg|400px]]
== Свойства ==
{{clear}}
</div>


See also: [[Property_editor|Property editor]].
{{Docnav|[[Part_Cylinder|Cylinder]]|[[Part_Torus|Torus]]|[[Part_Module|Part]]|IconL=Part_Cylinder.png|IconC=Workbench_Part.svg|IconR=Part_Torus.png}}


A Part Sphere object is derived from a [[Part_Feature|Part Feature]] object and inherits all its properties. It also has the following additional properties:
{{Part Tools navi}}

=== Данные ===

{{TitleProperty|Attachment}}

The object has the same attachment properties as a [[Part_Part2DObject#Data|Part Part2DObject]].

{{TitleProperty|Sphere}}

* {{PropertyData|Radius|Length}}: The radius of the sphere. The default is {{Value|5mm}}.
* {{PropertyData|Angle1|Angle}}: The start angle of the circular arc profile of the sphere. Valid range: {{Value|-90° &lt;&#61; value &lt;&#61; 90°}}. May not be equal to {{PropertyData|Angle2}}. The default is {{Value|-90°}}.
* {{PropertyData|Angle2|Angle}}: The end angle of the circular arc profile of the sphere. Valid range: {{Value|-90° &lt;&#61; value &lt;&#61; 90°}}. May not be equal to {{PropertyData|Angle1}}. The default is {{Value|90°}}. If the total angle of the arc profile is smaller than {{Value|180°}} the sphere will be truncated and have a flat face at the top and/or bottom.
* {{PropertyData|Angle3|Angle}}: The total angle of revolution of the sphere. Valid range: {{Value|0° &lt; value &lt;&#61; 360°}}. The default is {{Value|360°}}. If it is smaller than {{Value|360°}} the resulting solid will be a segment of a sphere.

== Scripting ==

See also: [https://freecad.github.io/SourceDoc/ Autogenerated API documentation], [[Part_scripting|Part scripting]] and [[FreeCAD_Scripting_Basics|FreeCAD Scripting Basics]].

A Part Sphere can be created with the {{Incode|addObject()}} method of the document:

{{Code|code=
sphere = FreeCAD.ActiveDocument.addObject("Part::Sphere", "mySphere")
}}

* Where {{Incode|"mySphere"}} is the name for the object.
* The function returns the newly created object.

Example:

{{Code|code=
import FreeCAD as App

doc = App.activeDocument()

sphere = doc.addObject("Part::Sphere", "mySphere")
sphere.Radius = 20
sphere.Angle1 = -30
sphere.Angle2 = 45
sphere.Angle3 = 90
sphere.Placement = App.Placement(App.Vector(3, 9, 11), App.Rotation(75, 60, 30))

doc.recompute()
}}


{{Docnav/ru
|[[Part_Cylinder/ru|Цилиндр]]
|[[Part_Cone/ru|Конус]]
|[[Part_Workbench/ru|Верстак Part]]
|IconL=Part_Cylinder.svg
|IconR=Part_Cone.svg
|IconC=Workbench_Part.svg
}}


{{Part Tools navi{{#translation:}}}}
{{Userdocnavi}}
{{Userdocnavi{{#translation:}}}}

Latest revision as of 09:52, 3 March 2022

Сфера

Системное название
Part_Sphere
Расположение в меню
Деталь → Примитивы → Сфера
Верстаки
Part(Деталь)
Быстрые клавиши
Нет
Представлено в версии
-
См. также
Создать примитивы

Описание

Создаёт простую параметрическую сферу с параметрами положение (position), угол1(angle1), угол2(angle2), угол3(angle3) и радиус(radius).

A Part Sphere can be truncated at the top and/or bottom by changing its ДанныеAngle1 and/or ДанныеAngle2 properties. It can be turned into a segment of a sphere by changing its ДанныеAngle3 property.

Применение

  1. Переключитесь на верстак Part
  2. Существует несколько способов вызова команды:
    • Нажмите на иконку сферы Сфера на панели инструментов.
    • Выберите из меню Деталь → Примитивы → Сфера.

Example

Part Sphere from the scripting example

A Part Sphere object created with the scripting example below is shown here.

Notes

  • A Part Sphere can also be created with the Part Primitives command. With that command you can specify the dimensions and placement at creation time.

Свойства

See also: Property editor.

A Part Sphere object is derived from a Part Feature object and inherits all its properties. It also has the following additional properties:

Данные

Attachment

The object has the same attachment properties as a Part Part2DObject.

Sphere

  • ДанныеRadius (Length): The radius of the sphere. The default is 5mm.
  • ДанныеAngle1 (Angle): The start angle of the circular arc profile of the sphere. Valid range: -90° <= value <= 90°. May not be equal to ДанныеAngle2. The default is -90°.
  • ДанныеAngle2 (Angle): The end angle of the circular arc profile of the sphere. Valid range: -90° <= value <= 90°. May not be equal to ДанныеAngle1. The default is 90°. If the total angle of the arc profile is smaller than 180° the sphere will be truncated and have a flat face at the top and/or bottom.
  • ДанныеAngle3 (Angle): The total angle of revolution of the sphere. Valid range: 0° < value <= 360°. The default is 360°. If it is smaller than 360° the resulting solid will be a segment of a sphere.

Scripting

See also: Autogenerated API documentation, Part scripting and FreeCAD Scripting Basics.

A Part Sphere can be created with the addObject() method of the document:

sphere = FreeCAD.ActiveDocument.addObject("Part::Sphere", "mySphere")
  • Where "mySphere" is the name for the object.
  • The function returns the newly created object.

Example:

import FreeCAD as App

doc = App.activeDocument()

sphere = doc.addObject("Part::Sphere", "mySphere")
sphere.Radius = 20
sphere.Angle1 = -30
sphere.Angle2 = 45
sphere.Angle3 = 90
sphere.Placement = App.Placement(App.Vector(3, 9, 11), App.Rotation(75, 60, 30))

doc.recompute()